#!/bin/sh

usage() {
	echo "usage: generation.sh <number of sequences> <sequencing runs>"
	exit 1
}

if [ $# != 2 ]; then
	usage
fi

sequences=$1
sequencing_runs=$2
data_directory="data/"
file="sequence.fastq"
prefix="curesim_"

Rscript src/repertoire.r "$sequences" "$sequencing_runs"
java -jar tools/CuReSim.jar -f "$data_directory$file" -o "$data_directory$prefix$file"
